Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api.taskplan
Interface AssigneeDefinition

All Superinterfaces:
  EventSource, Serializable

    public interface AssigneeDefinition

extends EventSource, Serializable

Represents a user or group to which a task can be assigned.

Nested Class Summary
`static interface` | `AssigneeDefinition.Event` Property names for the PropertyChangeEvents that can be produced by edits on a object of this type.
`static class` | `AssigneeDefinition.Type` Represents the types of assignees in Worklist.

Method Summary
`String` | `getName()` The name of the assignee.
`AssigneeDefinition.Type` | `getType()` The type of this assignee.
`void` | `setName(String name)` Set the name of the assignee.
`void` | `setType(AssigneeDefinition.Type type)` Set the type of this assignee.

Methods inherited from interface com.bea.wli.worklist.api.taskplan.EventSource
`addPropertyChangeListener, addPropertyChangeListener, clearDirty, dispose, getParent, isComplete, isDirty, isInitializing, isStarted, markDirty, removePropertyChangeListener, removePropertyChangeListener, startProducing`

Method Detail

### getName

    String getName()

  The name of the assignee. If the assignee is of Type.User, then the name represents the name of the user to which this task will be assigned. If the assignee is of Type.Group, then the name is the name of a group. If the assignee is of Type.Rule then the name is the name of a rule binding within the task plan that holds the assignee.

### setName

    void setName(String name)

  Set the name of the assignee. If the assignee is of Type.User, the name represents the name of the user to which this task will be assigned. If the assignee is of Type.Group, then the name is the name of a group. If the assignee is of Type.Rule then the name is the name of a rule binding within the task plan that holds the assignee.

### getType

    AssigneeDefinition.Type getType()

  The type of this assignee.

### setType

    void setType(AssigneeDefinition.Type type)

  Set the type of this assignee.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD